Đến nội dung


Hình ảnh

Có cách nào ẩn block or biến block thành layer để ẩn đi không?


  • Please log in to reply
1 reply to this topic

#1 co_khi

co_khi

    biết lệnh rotate

  • Members
  • PipPipPip
  • 139 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 29 November 2013 - 05:20 PM

   Em có bản vẽ có rất nhiều block đè lên nhau. Giờ em muốn ẩn một số block đi cho dễ nhìn. Nếu không được em định tạo block thành layout để ẩn đi có được không?

 

 

Xin mọi người giúp em với ạ,em xin cảm ơn rất nhiều.


  • 0

#2 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 29 November 2013 - 08:13 PM

Dùng lisp được không bạn.
Với cad đời cao có thể dùng Code này, với Cad đời thấp chưa có hàm, lệnh ẩn hiện đối  tượng thì cm lại mình cóp nhặt topic khác về sửa lại cho, cái này là tận dùng hàm có sẵn trong Cad 2012

(defun c:thu22(/ ls x fl  )
  (vl-load-com)  
  (setq ls(mapcar '(lambda(x)
    (assoc 2 (entget x)))
 (acet-ss-to-list(ssget '((0 . "INsert"))))))
  ;(setq ss (ssget (list (append (cons -4  "<or") ls ( cons -4  "or>")))))
  (setq fl (append '(( -4 . "<and")(0 . "INsert")( -4 . "<or")) ls '(( -4 . "or>")( -4 . "and>"))))
  (command "HIDEOBJECTS" (ssget "_x" fl) "")
  (princ)
  )


Sử dụng: Gọi lệnh : Thu222(Thử 222) quét chọn Các Insert (block)
Lisp lọc toạn bộ Block cùng tên trong tập chọn và cho ẩn hết đi. Để hiện lại gõ lệnh :"UNISOLATEOBJECTS"
Chúc vui
  • 0